Disclaimer

Delcam plc has no control over the user made of the software described in this manual and cannot accept responsibility for any loss or damage howsoever caused as a result of using the software. Users are advised that all the results from the software should be checked by a competent person, in accordance with good quality control procedures.

Information contained in this manual is subject to change without notice and does not represent a commitment by Delcam plc. The software described in this manual is furnished under licence agreement and may be used or copied in accordance with the terms of such licence. No part of this manual my be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying and recording, for any purpose without the express permission of Delcam plc.

Copyright © 1996-2006 Delcam plc. All rights reserved.

Delcam plc
Talbot Way
Small Heath Business Park
Birmingham, B10 0HJ
England

Tel:(UK) 0121-766-5544
(Int) +44 (0)121-766-5544


Nuove funzioni

PowerINSPECT 4.3 offre tutte le funzioni originali di PowerINSPECT 4.2 ed in aggiunta le seguenti nuove funzioni principali:

  • La capacità di creare percorsi sonda per feature geometriche e gruppi di ispezione superficie, che potrebbero essere poi usati come suggerimenti sullo schermo per supportare l'ispezione manuale.
  • Modi aggiuntivi di ruotare un modello CAD nella vista CAD.
  • Molteplici miglioramenti agli allineamenti. Questi sono:
    • Un nuovo metodo per calcolare il best fit, che vi permette la rotazione soltanto attorno ad un asse specificato.
    • La capacità di utilizzare più di sei vincoli in un allineamento Sistema Punto di Riferimento (RPS).
  • Una nuova opzione Misura - Importa Dati Misurati che vi permette di importare dati misurati da una misurazione all'altra.
  • Una nuova opzione (Misure - Trasforma Nominali) che vi permette di ispezionare un singolo modello CAD (ed effettuarne un rapporto) in sistemi di coordinate diversi.
  • Possibilità di creare percorsi sonda importando un file contenente punti nominali.
  • Molteplici miglioramenti ai rapporti HTML.
    • Snapshot della vista CAD possono essere inclusi nei rapporti.
    • Potete specificare se volete che i punti ispeizonati individualmente siano inclusi nel rapporto.
    • Il template del rapporto HTML predefinito è stato espanso per includere ulteriori informazioni.
  • Possibilità di controllare quando PowerINSPECT calcola una feature a partire da punti sondati utilizzando l'opzione Calcolo Automatico .
  • Nuovo modo di modificare elementi Stato Vista CAD.
  • Nuovo schema colori per etichette di casella.
  • Possibilità di definire quali livelli CAD sono usati per ispezionare gruppi di ispezione di superficie individuali.
  • Nuove impostazioni nella finestra di dialogo Opzioni .
  • Possibilità di utilizzare feature non misurate per creare elementi GD&T.
  • Una nuova opzione (Strumenti - Estrai File da File di Esportazione CATIA) che vi permettono di estrarre file CAD individuali ( .fic ) da un file di esportazione CATIA ( .exp ) .
  • Un nuovo metodo per calcolare punti di intersezione di feature usando entità non limitate.
  • Molteplici miglioramenti a nuvole di punti. Questi sono:
    • Miglioramenti all'esportazione dei dati nuvola di punti.
    • Informazioni addizionali visualizzate nella scheda Nuvola di Punti .
  • Integrazione con il Sistema Matematico Integrato Avanzato (AIMS) .
  • Nuovo pulsante Punto Guidato sulla Superficie.


Usare percorsi sonda per supportare l'ispezione manuale

PowerINSPECT 4.3 permette agli ispettori di impostare percorsi sonda nella forma di punti completamente suggeriti per operatori meno esperti per effettuare misurazioni e conseguentemente ridurre i potenziali errori.

Possono farlo in uno dei seguenti modi:

  • Effettuando misurazioni manuali, entro la stessa sessione, automaticamente vengono generati percorsi sonda a partire dai dati misurati.
  • Modificando percorsi sonda generati automaticamente usando la scheda Caratteristiche .
  • Generando nuovi percorsi sonda andando sulla scheda Caratteristiche ed impostando strategie e parametri di rilevamento.
  • Caricando un file .pwi esistente contenente dati misurati e poi selezionando Misure - Genera Percorsi di Sonda.
    • Se caricate un file che contiene una sequenza per la quale sono già stati creati percorsi sonda CNC, allora, dopo aver visualizzato i percorsi sonda usando l'opzione Vista - Percorsi Sonda appropriata, modificate i percorsi e ri-misurateli come richiesto.

Un ispettore può creare percorsi sonda per gruppi di ispezione superficie, così come per l'ispezione geometrica di piani rilevati, linee, cerchi (archi), coni, cilindri, scanalature, sfere, punti singoli e rettangoli.


Illustrazione di 'sfere di riferimento'

Quando un operatore esegue una sequenza contenente elementi con percorsi sonda, PowerINSPECT mostra i punti lungo il percorso che devono essere sondati, utilizzando un effetto a 'palla rimbalzante'. Ciò significa che, nonostante i punti siano tutti inizialmente mostrati nello stesso colore (tipicamente, blu) ciascun nuovo punto da misurare è visualizzato come una sfera rossa. Una volta che un punto è stato misurato, è mostrato come una sfera grigia, con la sfera rossa trasparente che indica che il punto è stato effettivamente preso, per esempio:

L'effetto 'palla rimbalzante' ha dunque la funzione di guida sullo schermo su cosa è già stato misurato e cosa deve ancora essere misurato.

  • Sfere rosse trasparenti non sono usate nel caso di gruppi di ispezione di superficie per indicare punti misurati. Vengono invece visualizzati i normali confetti.


Video esempio di 'sfere di riferimento'

L'esempio seguente mostra l'effetto 'sfera rimbalzante' della sonda che si muove da un punto rosso ad un altro.


Misure - Genera Percorsi della Sonda

Utilizzate questa opzione per generare percorsi sonda a partire da dati misurati per gruppi di ispezione superficie, così come per l'ispezione geometrica di piani rilevati, linee, cerchi (archi), coni, cilindri, scanalature, sfere, punti singoli e rettangoli.

  1. Aprite un file .pwi ed assicuratevi che i gruppi di ispezione di superficie e gli elementi nei gruppi geometrici siano stati misurati, per esempio:

  2. Selezionate Misure - Genera Percorsi della Sonda.

    • Utilizzate l'opzione Vista - Percorsi Sonda per controllare la visualizzazione dei percorsi sonda nella vista CAD:

Potete ora ispezionare la parte utilizzando i percorsi sonda come guida.

  • Se selezionate Esegui Tutti (opposto a Esegui per gli elementi individuali per cui avete creato percorsi sonda), avrete bisogno di reimpostare lo stato di misurazione di tutti gli elementi che devono essere re-ispezionati.


Utilizzare la scheda Caratteristiche

La scheda Caratteristiche è utilizzata per creare e mantenere elementi nella sequenza di ispezione che possiedono percorsi sonda ad essi associati.

  • Al fine di utilizzare questa scheda, modo CNC deve essere attivo.

Potete creare percorsi sonda per gruppi di ispezione superficie, così come per l'ispezione geometrica di piani rilevati, linee, cerchi (archi), coni, cilindri, scanalature, sfere, punti singoli e rettangoli.

Quando create gruppi di ispezione o elementi geometrici come segue, i dettagli dell'elemento vengono automaticamente aggiunti alla scheda Caratteristiche per permettervi di controllare o modificare:

Creare... | Utilizzando...
un gruppo di ispezione superficie inserendo punti di superficie sul modello CAD | dalla barra degli strumenti Elemento. Questo visualizza una finestra di dialogo Ispeziona nella scheda Caratteristiche e non permette all'Editor Percorso Sonda di inserire punti di superficie.
un elemento geometrico specificando i dati nominali (o in casi di linee e piani, inserendo punti sul modello CAD) | dalla barra degli strumenti Elemento. Per esempio, selezionate [image] , per creare un piano rilevato Ciò visualizza una finestra di dialogo Ispeziona nella scheda Caratteristiche per permettervi di specificare i valori nominali. Se state creando linee o piani, abilita anche l'Editor Percorso della Sonda per permettervi di inserire punti su di un modello CAD.
un elemento geometrico ( ma non linee, piani o sfere) selezionando direttamente un modello CAD | Controllore Wireframe [image] dalla barra strumenti Contesto Mouse. Quando avete selezionato una feature geometrica con Controllore del Wireframe, i dettagli della feature sono visualizzati nella finestra di dialogo Ispeziona nella scheda Caratteristiche.
  • Usare Controllore Wireframe efficacemente quando si selezionano i particolari geometrici, assicuratevi che il wireframe del modello CAD sia visibile nella scheda Vista CAD.


Come sono rappresentati i percorsi della sonda nella Vista CAD

Mentre create o modificate gli elementi e i percorsi sonda ad essi associati nelle finestre di dialogo Ispeziona, compare una rappresentazione grafica sia dell'elemento sia del percorso della sonda sulla scheda Vista CAD. Un percorso della sonda contiene una o più posizioni rilevate. Le convenzioni seguenti sono utilizzate per evidenziare le diverse parti di un percorso della sonda:

  • Le linee verdi indicano movimenti intermedi (dove si prevede che la sonda non tocchi la parte durante il movimento) tra posizioni rilevate. Movimenti di Entrata ed Uscita sono anch'essi indicati in verde. Un segno ad asterisco verde compare sui movimenti di Entrata per distinguerli da quelli di Uscita.
  • I cerchi rossi indicano i punti di contatto (cioè, il punto nel quale si prevede che la sonda tocchi la parte).

Per esempio, un percorso cilindrico della sonda:

Per esempio, un percorso sonda di gruppo di ispezione superficie:

  • L'esatto percorso della sonda creato dipende dalle strategie e dai metodi selezionati per la feature.

PowerINSPECT crea automaticamente giunzioni tra percorsi della sonda diversi. Queste sono visualizzate in grigio chiaro - per esempio:


Circa le finestre di dialogo Ispeziona

Quando create o modificate un elemento che possiede un percorso della sonda ad esso associato, la finestra di dialogo Ispeziona compare nella scheda Caratteristiche sotto la sequenza di ispezione. Così la finestra di dialogo contiene sia informazioni di 'definizione' circa l'elemento stesso (come valori nominali) sia dettagli sul percorso della sonda.

Nonostante diverse finestre di dialogo vengano visualizzate per diversi elementi (per esempio, Gruppo di Ispezione Superficie, Ispezione Piano, Ispezione Arco e Ispezione Cono), tutte le finestre di dialogo sono basate sugli stessi principi generali, e comprendono le seguenti aree principali:

- Area Nome e Modalità. Qui potete accettare il nome predefinito per l'elemento o inserirne uno voi. Potete inoltre specificare se lavorare in modalità 'crea' o 'modifica'.

- Area Parametri Elemento. I parametri visualizzati variano in relazione all'elemento creato o modificato, ma possono includere le coordinate X, Y, Z dell'elemento, angoli iniziali e finali, e se la feature geometrica deve essere rilevata internamente o esternamente.

- Area Strategie di Rilevamento e Parametri. Qui potete selezionare una strategia e un metodo di rilevamento per l'elemento e impostare valori legati al percorso della sonda associato all'elemento.

- Area Barra degli Strumenti. Qui potete salvare o cancellare modifiche ad una feature.

Queste sono aree posizionate come segue:


Disabilitare la Modalità CNC

Una finestra di dialogo Ispeziona è visualizzata automaticamente nella scheda Caratteristiche ogni volta che create o modificate un elemento che potrebbe avere un percorso sonda ad esso associato.

Se, tuttavia, volete lavorare con questi elementi senza anche creare un percorso sonda, potete disabilitare la visualizzazione delle finestre di dialogo Ispeziona facendo click sull'icona Modo CNC in cima alla scheda Caratteristiche. Potete quindi cambiare gli elementi modificandoli nella sequenza di ispezione.

L'icona Modalità CNC funziona come un interruttore, e quindi facendo click nuovamente sull'icona viene ri-abilitata la Modalità CNC.

Per esempio:

  • La Modalità CNC è attiva:

  • La Modalità CNC è disattivata:

  • L'icona Modalità CNC compare soltanto quando non è correntemente creato o modificato alcun elemento nella scheda Caratteristiche.


Specifica la modalità e il nome dell'elemento

Quando create un nuovo elemento, PowerINSPECT specifica automaticamente un nome univoco per l'elemento. Il nome include il tipo di elemento ed un numero - per esempio:

Per cambiare il nome dell'elemento, digitate un nuovo nome - per esempio:

Le finestre di dialogo Ispeziona possono essere usate nelle modalità crea o modifica:

Modalità

Descrizione

Attiva e disattiva la modalità modifica.

Attiva la modalità Modifica per cambiare le informazioni sugli elementi esistenti

Attiva e disattiva la modalità modifica. Quando decidete di creare un nuovo elemento dalla barra degli strumenti Elemento, viene selezionata automaticamente questa modalità.

Se selezionate questo pulsante dalla finestra di dialogo Ispeziona, PowerINSPECT crea automaticamente un elemento del tipo selezionato più di recente nella sequenza di ispezione (includendo tutte le impostazioni dei parametri per quell'elemento). Se volete creare un tipo diverso di elemento, selezionate il relativo pulsante dalla barra degli strumenti Elemento.

Quando avete creato un elemento, fate click su [image] per salvarne i dettagli e per aggiungerlo alla sequenza di ispezione. Se uscite dalla modalità crea (usando il pulsante interruttore) senza salvare un elemento, il nome dell'elemento apparirà come 'Non Definito' e l'elemento non verrà aggiunto alla sequenza di ispezione.


Usare la barra degli strumenti della finestra di dialogo Ispeziona

Utilizzate l'area barra degli strumenti per salvare o cancellare le modifiche alle feature e per rimuovere punti da un percorso sonda:

Indicatore Punti Rilevati che si aggiorna automaticamente mentre inserite punti nell'Editor di Percorso Sonda.

Cancella l'ultimo punto nel percorso della sonda correntemente selezionato. Disponibile quando si visualizzano feature i cui percorsi della sonda possono essere creati o modificati usando l'Editor Percorso della Sonda (per esempio, linee e gruppi di ispezione di superficie).

Salvare qualunque modifica effettuata alle impostazioni nella finestra di dialogo Ispeziona. Disponibile in modalità crea o modifica.

Chiude la finestra di dialogo Ispeziona. Attivo solo quando non si è in modalità modifica o crea.


Impostazioni parametri elemento

I parametri dell'elemento visualizzati variano in relazione al tipo di elemento creato o modificato - per esempio, il parametro lunghezza è applicabile solo alle linee, rettangoli e scanalature.

Quando aggiungete un nuovo elemento alla sequenza di ispezione, PowerINSPECT completa automaticamente i parametri dell'elemento ma potete modificarli se lo desiderate.

  • PowerINSPECT ricorda i parametri che avete impostato per ultimi per un particolare elemento - per esempio, un cerchio - e li applica automaticamente al cerchio successivo che create.

Quando create un elemento selezionando una feature geometrica da un modello CAD (usando il Controllore Wireframe), PowerINSPECT usa l'informazione a partire dal modello CAD (come ad esempio, valori nominali) per alcuni dei parametri dell'elemento.

  • Alcuni parametri di rilevamento sono applicabili solo per le strategie Trigger Rilevamento Automatico e non possono essere modificati se viene selezionata una strategia di rilevamento Definita dall'utente. Fate riferimento a Impostare strategie e metodi di rilevamento per maggiori dettagli circa le strategie di rilevamento.

I possibili parametri dell'elemento che possono comparire (e gli elementi ai quali essi si applicano) sono:

Pulsante

Descrizione

Si applica a...

Valori nominali dell'elemento. I pulsanti invertono tra la visualizzazione dell'informazione di posizione (in coordinate X, Y, Z) e di orientamento (valori vettore I, J, K). Quando si è in modalità modifica, questi valori possono essere modificati per strategie Trigger Rilevamento Automatico.

Quando definite un percorso della sonda usando punti di superficie, i valori nominali sono presi dal primo punto nel gruppo.

Per linee rilevate, scanalature e rettangoli sono disponibili due gruppi di valori I,J,K - il primo gruppo di valori si riferisce all'orientamento del piano di riferimento della feature ed il secondo gruppo di valori si riferisce all'orientamento lungo la lunghezza della feature.

Gruppi Superficie

Tutte le feature geometriche

Il raggio o diametro/ampiezza dell'elemento. Il tasto inverte la visualizzazione del raggio o del diametro/ampiezza.

Per archi, cilindri e sfere è visualizzato il diametro invece per le scanalature, la larghezza.

Arco
Cilindro
Scanalatura
Sfera

Il raggio o il diametro della punta del cono. Il tasto inverte la visualizzazione del raggio e del diametro.

Cono

Il raggio o il diametro della base del cono. Il pulsante inverte tra la visualizzazione del raggio e del diametro.

Cono

L'angolo iniziale e finale dell'elemento e il relativo percorso della sonda.

Questi angoli controllano la quantità di feature da misurare. Se selezionate le feature direttamente dal modello CAD, PowerINSPECT usa l'angolo di inizio dal CAD, ma potete cambiarlo se lo desiderate.

Arco
Cono
Cilindro

Gli angoli iniziali e finali di azimut della sfera e del percorso della sonda.

Questi angoli controllano tutte le feature che devono essere misurate e sono utili per definire le sfere parziali. Se selezionate le feature da un modello CAD, PowerINSPECT usa gli angoli di inizio e di fine dal CAD, ma li potete modificare se lo desiderate.

Sfera

Gli angoli superiore ed inferiore di elevazione della sfera e del percorso della sonda.

Questi angoli controllano tutte le feature che devono essere misurate e sono utili per definire le sfere parziali.

Sfera

La lunghezza dell'elemento.

Linea
Rettangolo
Scanalatura

La larghezza dell'elemento.

Rettangolo

Specifica la distanza del percorso sonda dalla parte superiore della feature.

Usate questa opzione per modificare la lunghezza effettiva rilevata del cono e dell'elemento cilindro aggiunto alla sequenza di ispezione. Ciò può risultare utile se la feature nel modello CAD è incompleta, poichè modificare la lunghezza effettiva rilevata può evitare allo strumento di misura di rilevare punti nello spazio e/o possibili collisioni.

Cono
Cilindro

Specifica la distanza del percorso della sonda dalla base della feature.

Usate questa opzione per modificare la lunghezza effettiva rilevata del cono o dell'elemento cilindro aggiunto alla sequenza di ispezione. Ciò può risultare utile se la feature nel modello CAD è incompleta, poichè modificare la lunghezza effettiva rilevata può evitare allo strumento di misura di rilevare punti nello spazio e/o possibili collisioni.

Cono
Cilindro

Specifica metà angolo del cono - cioè, l'angolo nominale del cono.

Ciò può risultare utile se state creando un percorso della sonda per un cono senza un modello CAD.

Cono

oppure

Alterna tra l'impostazione del percorso della sonda interno o esterno.

Tutte le feature geometriche

Inverte il vettore direzione della feature ed il suo percorso della sonda tra normale e inverso. Usando questo pulsante vengono aggiornati i valori IJK della feature.

Arco
Cono
Cilindro
Linea
Sfera


Esempio: impostare gli angoli iniziali e finali per le feature

Quando create archi, coni e cilindri potete definire particolari funzioni usando i parametri angolo iniziale e finale. Quando selezionate questi particolari direttamente da un modello CAD usando il Controllore del Wireframe, PowerINSPECT prende automaticamente gli angoli iniziali e finali rilevanti. Per esempio il seguente arco dal modello CAD:

completa i valori degli angoli iniziali e finali nella finestra di dialogo Ispezione Arco nel modo seguente:

Salvando questi dettagli si crea una feature e un percorso della sonda, secondo la strategia di rilevamento e il metodo selezionato. Per esempio:

Quando lavorate con feature 3D cha hanno angoli finali e iniziali, usate il sistema di coordinate locali di PowerINSPECT come aiuto per modificare gli angoli finali e iniziali. Il sistema di coordinate locale viene mostrato usando linee punteggiate rosse, blu e verdi per rappresentare gli assi X, Y e Z della feature - per esempio:

La posizione zero è l'asse positivo X della feature. Usando il sistema di coordinate locali come aiuto, potete poi modificare gli angoli iniziali e finali come richiesto. Per esempio, la visualizzazione della versione ombreggiata del modello CAD evidenzia che la feature cilindro creata usando il Controllore del Wireframe risulta nel percorso della sonda con punti di contatto che non sono in diretto collegamento con il particolare:

Per modificarlo, cambiate l'angolo iniziale della feature da -180,00° a -145,000° e salvate la modifica. La scheda Vista CAD si aggiorna e mostra tutti i punti di contatto che ora toccano il particolare:


Esempio: impostare gli angoli di azimut e di elevazione per una sfera

Usate gli angoli iniziali e finali di azimut per definire il punto iniziale e finale della sfera - per esempio:

Qui gli angoli finali e iniziali sono impostati nel modo seguente:

No. | Azimut iniziale | Azimut finale
 | 0 | 360
 | 0 | 180

Usate gli angoli di elevazione per definire l'elevazione della sfera

Qui gli angoli superiore ed inferiore di elevazione sono impostati nel modo seguente:

No. | Elevazione superiore | Elevazione inferiore
 | 0 | -90
 | 90 | 0


Esempio: impostare la distanza base o la distanza della parte superiore della feature

Se avete creato il seguente cilindro selezionandolo dal modello CAD, osservate che poichè il cilindro si trova su un angolo, il percorso della sonda conterrà alcuni punti di contatto che non sono a contatto diretto con la parte:

Per cambiare ciò, per ridurre l'effettiva lunghezza rilevata del cilindro, riducete la distanza base in modo che i punti non siano lontani nello spazio. Salvando queste modifiche si aggiorna la scheda Vista CAD in:


Esempio: impostare il rilevamento interno o esterno della feature

Quando create particolari, potete trovare qualche parametro di rilevamento interno o esterno che deve essere cambiato per aggiornare la feature. Per esempio, se avete selezionato il seguente arco con il parametro interno di rilevamento applicato potete osservare che la feature non sarà rilevata correttamente:

Per specificare che volete rilevare la feature esternamente:

  1. Fate click su [image] nella scheda Caratteristiche (in modo che cambi in [image]).
  2. Osservate che la scheda Vista CAD si aggiorni per rispecchiare questi cambiamenti:

  3. Fate click su [image] per salvare le modifiche.


Esempio: invertire il vettore direzione

Quando create una feature selezionando una feature da un modello CAD usando il Controllore del Wireframe, PowerINSPECT prende la direzione del vettore e il percorso della sonda dal modello CAD.

Il vettore direzione è indicato nella scheda Vista CAD attraverso una linea gialla continua con una freccia - per esempio:

Invertendo il vettore direzione si inverte il vettore della feature e il relativo percorso della sonda. Questo può essere utile se state creando particolari nel modello CAD o se avete bisogno di modificare la direzione di rilevamento per evitare collisioni.

Per invertire il vettore direzione:

  1. Fate click su [image] nella scheda Caratteristiche (in modo che cambi in [image]).
  2. Mostra l'effetto nella scheda Vista CAD – per esempio:

  3. Fate click su [image] per salvare le modifiche.


Impostare le strategie e i parametri di rilevamento

La prima volta che aggiungete un particolare tipo di elemento, per esempio una sfera, alla sequenza di ispezione, PowerINSPECT crea l'elemento usando la strategia e il metodo di rilevamento più efficienti per quel percorso della sonda. Se modificate queste impostazioni per un elemento, ad esempio un cono, PowerINSPECT ricorda quelle impostazioni e le applica automaticamente al prossimo cono creato.

  • Alcuni parametri di rilevamento sono applicabili solo per le strategie Trigger Rilevamento Automatico e non possono essere modificati se viene selezionata una strategia di rilevamento definita dall'utente.

Le strategie e i parametri di rilevamento disponibili sono:

Strategia di Rilevamento

Insieme ai metodi di rilevamento, la strategia controlla come il percorso della sonda viene calcolato. Le strategie seguenti risultano disponibili:

  • Manuale - Strategia predefinita per feature geometriche, come ad esempio archi, coni, cilindri e sfere. Con questa strategia PowerINSPECT usa le passate per determinare la superficie ed i punti intermedi richiesti per misurare l'elemento.
  • Personalizzato - Questa è l'unica strategia disponibile per i piani e per i gruppi di superfici ed è la strategia predefinita per le linee. Può anche essere selezionata come strategia per altre feature geometriche se richiesto. Con questa strategia usate l'Editor Percorso della Sonda per specificare il percorso della sonda richiesto per misurare l'elemento.

Metodo di Rilevamento

Insieme alla strategia di rilevamento, il metodo controlla come viene calcolato il percorso della sonda. Sono disponibili numerosi metodi pre-definiti per ciascuna strategia di rilevamento.

Fate click su [image] per visualizzare i parametri che determinano come viene calcolato il percorso della sonda per il metodo di rilevamento selezionato.

Solo utenti esperti di PowerINSPECT dovrebbero provare a modificare questi parametri. Se i metodi di rilevamento standard inclusi in PowerINSPECT non rispondono alle vostre necessità, consultate il vostro Agente di Vendita per discutere ulteriormente dei requisiti.

Profondità Sonda

Fate click su [image] per specificare che volete che la macchina rilevi la feature ad un particolare profondità. Il valore di profondità di ispezione che specificate dipenderà dal diametro della sonda che state utilizzando e dallo spessore del componente misurato.

Mostra gli effetti delle proprie modifiche sulla scheda Vista CAD – per esempio, cambiando la profondità della sonda da un arco di 1 mm a 3 mm:

Cambiando la profondità della sonda di un cono o di un cilindro cambia la profondità per entrambi i punti superiore ed inferiore - per esempio cambia la profondità della sonda da 1 mm a 3 mm:


Circa i metodi di rilevamento Personalizzati

Per una strategia di rilevamento Manuale, i metodi seguenti risultano disponibili:

Metodo (Sezioni) | Descrizione
Ottimale | Questo metodo genera un percorso della sonda che consiste in un numero fisso di sezioni attorno all'elemento, dove ciascuna sezione comprende un numero fisso di punti uniformemente distribuiti. Il numero di punti e di sezioni predefinito dipende dallo specifico elemento. Con un cerchio, ad esempio, il valore predefinito è 6 punti in una singola sezione:
SlicesPoints (Punti a sezione) | Il metodo genera un percorso della sonda che consiste nel numero minimo di sezioni attorno ad un elemento, dove ciascuna sezione comprende un numero fisso di punti uniformemente distribuiti attorno all'elemento. Con un cerchio, ad esempio, l'impostazione predefinita è 4 punti in una singola sezione.
BodyPanel (Pannello dell'auto) | Questo è un metodo di rilevamento Punti a sezione speciale che, per ciascun nuovo elemento 2D, automaticamente crea un piano di riferimento locale. Ciò risulta particolarmente utile quando vengono ispezionate presse.


Circa i metodi di rilevamento Personalizzati

I metodi seguenti sono disponibili con una strategia Personalizzata:

Metodo

Descrizione

Insegna e Impara

Questo metodo fornisce compatibilità con le versioni precedenti di PowerINSPECT, preservando il percorso della sonda Insegna e Impara originale. Non usa Parametri speciali, soltanto le distanze di Approccio e Distacco della sonda.

Risulta applicabile soltanto a file che contengono percorsi di sonda creati utilizzando la funzioni Insegna e Impara.

Manuale

Questo metodo vi permette di prendere il percorso della sonda dalla Vista CAD.


Modificare i parametri per un metodo di rilevamento

Se volete modificare uno dei parametri impostati per un metodo di rilevamento (per esempio, per modificare il numero di punti in una sezione):

  1. Fate click su [image] accanto all'elenco a tendina dei metodi di rilevamento per visualizzare la finestra di dialogo Parametri.

    • Evidenziando un parametro viene visualizzata nell'area subito sotto l'elenco dei parametri una breve spiegazione di come quel parametro condiziona il percorso della sonda).
  2. Solo utenti esperti di PowerINSPECT dovrebbero provare a modificare questi parametri. Se i metodi di rilevamento standard inclusi in PowerINSPECT non rispondono alle vostre necessità, consultate il vostro Agente di Vendita per discutere ulteriormente dei requisiti.

    Specificate il nuovo valore per il parametro. Per alcune opzioni, dovete selezionare o de-selezionare check box, per altre (come ad esempio Margine), dovete inserire un valore; e per altre (come Punti), dovete fare click nella casella che mostra il valore corrente del parametro ed aumentare o diminuire il valore, per esempio:

  3. Fate click su [image] per salvare le modifiche apportate.


Come PowerINSPECT seleziona automaticamente un piano di riferimento per una feature 2D

Il modo in cui PowerINSPECT applica un piano di riferimento dipende dal metodo di rilevamento selezionato:

Se è selezionato il metodo BodyPanel , PowerINSPECT crea automaticamente un piano di riferimento locale per la feature, per esempio:

Se nessun altro metodo di rilevamento è selezionato, PowerINSPECT cerca di adattare la feature ad un piano di riferimento esistente considerando:

  • L'orientamento normale della feature e del piano (essi devono condividere lo stesso orientamento - con una tolleranza di +/- 15°)
  • La posizione del piano – se c'è più di un piano che ha lo stesso orientamento della feature, PowerINSPECTseleziona quello più vicino alla feature.

Se non viene trovato nessun piano adatto, PowerINSPECT automaticamente ne crea uno.

  • Tranne quando utilizzate il metodo di rilevamento BodyPanel, è consigliabile creare ciascun piano che volete utilizzare come piano di riferimento prima di creare una feature 2D. Quando create una feature 2D, PowerINSPECT seleziona automaticamente il piano di riferimento più adatto per quella feature.


Usare l'Editor Percorso Sonda

Usate l'Editor Percorso della Sonda dove risulta opportuno creare o modificare percorsi della sonda interattivamente nella vista CAD. Per esempio, quando create percorsi della sonda personalizzati per piani, linee, gruppi di ispezione di superficie, e quando create percorsi della sonda intermedi.


Crea percorsi sonda personalizzati

Quando create piani sondati e gruppi di ispezione di superficie, potete soltanto specificare un percorso sonda personalizzato.

Per tutti gli altri elementi, potete generare un percorso della sonda utilizzando una strategia di rilevamento Manuale, o definire un percorso sonda voi stessi selezionando una strategia di rilevamento Personalizzato.

L'Editor Percorso della Sonda è attivato automaticamente ogni volta che aggiungete o modificate un elemento che possiede una strategia di rilevamento Personalizzata. Quando l'Editor Percorso della Sonda è attivo, potete creare un percorso della sonda personalizzato come segue:

  1. Nella scheda Vista CAD, spostate il cursore dell'Editor di Percorso Sonda ( [image]) nella posizione dove volete che si trovi la prima posizione del percorso della sonda.
  2. Per aggiungere una posizione rilevata, fate doppio-click sulla posizione nel modello CAD dove desiderate che si trovi la posizione della sonda. Quando l'Editor Percorso della Sonda è attivo, sono mostrati punti di approccio per ciascuna posizione della sonda usando una casella gialla, per esempio:

  3. Inserite ulteriori posizioni rilevate ed intermedie al percorso sonda come richiesto. Per esempio, per un piano:

    • Ciascun elemento richiede un minimo numero di punti di contatto per essere creato correttamente. Potete risalire al numero di punti di contatto che risultano ancora richiesti usando l'indicatore Punti Presi sulla finestra di dialogo Ispeziona , che viene aggiornata automaticamente man mano che specificate punti.
  4. Quando avete finito di aggiungere punti al percorso della sonda, fate click su [image] nella finestra di dialogo Ispeziona. PowerINSPECT calcola automaticamente un percorso della sonda per misurare i punti che avete selezionato e visualizza il risultato nella scheda Vista CAD. Per esempio:

  • Se dovete modificare il percorso della sonda che avete creato, fate click su [image] nella finestra di dialogo Ispeziona per quell'elemento - fate riferimento Modificare percorsi sonda personalizzati.


Percorsi sonda personalizzati

Potete modificare percorsi sonda personalizzati ed intermedi esistenti oppure convertire percorsi sonda Trigger Rilevamento Automatico in percorsi personalizzati:

  1. Selezionate l'entità dalla sequenza di ispezione.
  2. Fate click su [image] nella finestra di dialogo Ispeziona .
  3. Se desiderate convertire un percorso della sonda che era stato creato utilizzando una strategia Manuale , in una Personalizzata, modificate la strategia di rilevamento selezionata nella finestra di dialogo Ispeziona in Personalizzata.
  4. Controllate che l'Editor di Percorso Sonda sia attivo nella Vista CAD.

    Quando utilizzate l'Editor Percorso sonda in modalità modifica, i punti di approccio appaiono in caselle gialle, per esempio:

    Compare anche il cursore Editor Percorso Sonda (come [image] , [image] o [image] ) – per esempio:

  5. Modificate il percorso. Se volete:
    • inserire una nuova posizione dopo l'ultima posizione nel percorso di sonda corrente, posizionate il cursore [image] sopra il modello CAD e fate doppio click per inserire una nuova posizione sonda.
    • spostate un punto di contatto: 1) posizionate il cursore [image] sopra il punto di contatto; 2) usando il tasto sinistro del mouse, trascinate il punto di contatto verso la sua nuova posizione; 3) rilasciate il tasto del mouse per completare il movimento. Per esempio:

    • cancellare una posizione rilevata: 1) posizionate il cursore sopra il punto di contatto; 2) fate click con il tasto destro del mouse per visualizzare un menù pop-up; 3) selezionate Cancella dal menù pop-up per cancellare la posizione. Per esempio:

  6. Fate click su [image] sulla finestra di dialogo Ispeziona per salvare le modifiche.


Vista - Percorso Sonda

Questo menù vi permette di controllare quali percorsi della sonda possono essere osservati nella vista CAD.


Vista - Percorsi della Sonda – Nascondi

Nasconde tutti i percorsi della sonda, indipendentemente da quali elementi sono selezionati nella sequenza di ispezione. Per esempio:


Vista - Percorsi della Sonda – Mostra Tutto

Quando si effettuano le verifiche di collisione, PowerINSPECT prende in considerazione la sonda e le aree che compongono il corpo della sonda.


Vista - Percorsi della Sonda - Mostra Selezionato

Visualizza il percorso della sonda per l'elemento attualmente selezionato nella sequenza di ispezione - per esempio:


Vista - Percorsi della Sonda – Mostra Visibile

Visualizza i percorsi della sonda per tutti gli elementi correntemente visibili (cioè, gli elementi con l'icona della lampadina accesa nella sequenza di ispezione). Per esempio:


Nuovi modi di ruotare la vista CAD

Esistono ora tre ulteriori modi in cui potete ruotare la Vista CAD. In precedenza, l'unica modalità di rotazione era attorno al centro della vista. Ora potete anche ruotare attorno a:

  • cosa risulta visibile nella vista (opzione Vista Visibile - questa è la nuova impostazione predefinita);
  • il riferimento CAD (opzione Origine);
  • un punto personalizzato (opzione Punto Selezionato).
  • La modalità di rotazione originale attorno al centro della vista è ora chiamata opzione Vista.

Per specificare la modalità di rotazione, utilizzate l'opzione del menù Vista - Ancoraggio di Rotazione .


Vista - Ancoraggio di Rotazione

Quando ruotate la vista CAD potete scegliere il punto al quale 'ancorare' la rotazione.

Supponendo che abbiate due sfere in un file CAD. Come impostazione predefinita, sono ruotate attorno al centro di ciò che risulta correntemente visibile nella scheda Vista CAD (in accordo con l'opzione predefinita Riferimento per la Rotazione - Vista Visibile).

In questo stadio, quando l'intera parte è visualizzata nella scheda Vista CAD, l'opzione Riferimento per la Rotazione - Vista Visibile dà gli stessi risultati dell'opzione Riferimento per la Rotazione - Vista (che determina la rotazione del modello CAD attorno al centro dell'intera vista anzichè attorno al centro solo di ciò che è visibile nella scheda Vista CAD). Tuttavia, potete osservare la differenza se effettuate uno zoom di avvicinamento verso una delle sfere.

Se il Riferimento per la Rotazione è impostato su Vista, risulta difficile raggiungere il centro della sfera, poichè il CAD è ruotato attorno all'intera vista (inclusa la sfera che non è correntemente mostrata nella scheda Vista CAD):

Tuttavia, quando ritornate all'opzione predefinita Vista Visibile, in modo che la sfera sia ruotata attorno al centro di ciò che è correntemente visibile nella scheda Vista CAD, vi trovate automaticamente al centro della vista ingrandita:

Esistono altre due opzioni di Riferimento per la Rotazione oltre a Vista Visibile e Vista:

  • Origine - il modello CAD è ruotato attorno al riferimento CAD (in questo caso, la prima sfera):

  • Punto Selezionato - il modello CAD è ruotato attorno ad un punto personalizzato, per esempio la sfera fuori dal riferimento:

    Ciò fornisce la seguente rotazione attorno alla seconda sfera:

    Potete anche selezionare una feature come punto personalizzato, per esempio:

    L'opzione Punto Selezionato è oscurata finchè non definite un punto attorno al quale ruotare la vista, in uno dei seguenti modi:

    • Fate click con il tasto destro del mouse sulla feature appropriata nell'albero di sequenza e selezionate Ancoraggio di Rotazione (la voce del menù è oscurata per voci non appropriate come gruppi e punti di ispezione di superficie).
    • Fate click sul pulsante Modifica Geometrie [image] e sopra l'elemento geometrico appropriato nella vista CAD. Quindi fate click con il tasto destro del mouse e selezionate Riferimento per la Rotazione dal menù di contesto.
    • Fate click sul pulsante Selettore di Superficie [image] e selezionate la(e) superficie appropriata(e) nella vista CAD. Quindi fate click con il tasto destro del mouse e selezionate Riferimento per la Rotazione dal menù di contesto. Il punto preso sarà il centro della superficie selezionata.

      Una volta che avete selezionato un punto, l'opzione Vista - Ancoraggio di Rotazione - Punto Selezionato è automaticamente attiva e tutte le rotazioni CAD vengono effettuate attorno a questo punto finchè non selezionate un punto diverso o l'opzione Vista - Ancoraggio di Rotazione.

    • Potete anche selezionare come un punto di ancoraggio per la rotazione il punto centrale della casella limite di una o più superfici scelte usando il Selettore di Superficie. Fate semplicemente click con il tasto destro del mouse seguendo la selezione e selezionate Riferimento per la Rotazione.


Nuovo metodo di calcolo per metodo di Best Fit

PowerINSPECT4.3 include un nuovo metodo Asse Rotazionale, per il calcolo di un best fit. Questo metodo consente la rotazione solo attorno ad un asse specificato, con il centro della rotazione su quell'asse (opposto a

Solo Rotazione - permette la rotazione attorno ad un punto fisso).

Il metodo Asse Rotazionale è utile se volete preservare la posizione ed orientamento di una feature - per esempio, se avete una parte che si attacca ad un'altra in corrispondenza di un punto specifico.

Le seguenti impostazioni sono disponibili con il metodo:

  • Blocca la traslazione lungo il vettore - come impostazione predefinita, a PowerINSPECT viene data libertà di traslare attorno all'asse selezionato. Se volete fissare la traslazione lungo il vettore, selezionate questa opzione.
  • Asse di Riferimento - selezionate l'asse attorno al quale volete che il modello CAD venga ruotato durante il calcolo di best fit. In alternativa, fate click su [image] per selezionare una feature direttamente dalla vista CAD.

Le nuove impostazioni appaiono nella finestra di dialogo Definizione Best Fit come segue:


Esempio di rotazione attorno ad un asse

Questa sezione illustra come il metodo di calcolo Asse di rotazione possa risultare utile. Mostra gli effetti derivanti dall'utilizzo di questo metodo quando la traslazione lungo il vettore è sia bloccata che sbloccata.


Scenario

Una sessione di PowerINSPECT, utilizzando un modello CAD di una lama, è stata impostata come segue:

  • Un gruppo geometrico è stato creato con un piano (Piano 1) ed un cono (Cono 1), poi una feature 3D circolare (Cerchio 1) è stata creata usando il piano ed il cono.
  • Un gruppo ispezione superficie (Gruppo di Ispezione 1) è stato creato includendo un determinato numero di punti.
  • Un allineamento RPS è stato creato usando il cerchio ed uno dei punti di superficie (SP 1):

    • Per creare l'allineamento, è stata usata una feature 'intera', ed è stato impostata l'opzione Blocca IJK . Conseguentemente, con tre assi di traslazione e due di rotazione impostati, è richiesto soltanto un punto per completare l'allineamento. Ciò può essere osservato nella finestra di dialogo Definizione Allineamento RPS:

  • Un ulteriore gruppo di ispezione di superficie (Gruppo di Ispezione 2) è stato creato e misurato:

  • Il gruppo di ispezione di superficie sopra deve essere sottoposto a 'best fit' attorno all'asse del cono, ma senza causare il movimento del cono lungo il suo vettore, in modo che nè la lama nè la parte che non è adattata nel cono richiederanno aggiustamenti successivi. Perciò, usiamo il metodo del 'vettore bloccato'.
    • Per fare un paragone, vengono forniti anche i risultati per il metodo del 'vettore sbloccato'.


Ruotare attorno ad un asse: vettore bloccato

  1. Fate click su [image] nella barra degli strumenti Elemento per visualizzare la finestra di dialogo Modifica Definizione Best Fit.
  2. Completate la finestra di dialogo come segue:

  3. Fate click su OK per aggiungere l'elemento di Best Fit alla sequenza di ispezione.
  4. Selezionate l'elemento di Best Fit dalla sequenza di ispezione, fate click con il tasto destro del mouse e selezionate Esegui dal menù di contesto per visualizzare la finestra di dialogo Analizzatore Best Fit.
  5. Fate click su Vai!! nella finestra di dialogo Analizzatore Best Fit. Viene mostrata una rappresentazione grafica della deviazione:

    La linea verde mostra la deviazione originale e la linea rossa mostra la deviazione dopo il calcolo. Continuate a fare click sul pulsante finchè la linea rossa diventa grigia, che significa che il risultato non può essere ulteriormente migliorato.

  6. Fate click su OK per chiudere la finestra di dialogo Analizzatore Best Fit.
  7. Il modello CAD è aggiornato:

    La traslazione del vettore lungo il cono è immutata, come si può notare nella riga seguente della scheda Info:


Ruotare attorno ad un asse: vettore sbloccato

Se utilizzate il metodo di calcolo Asse di rotazione ma senza bloccare la traslazione lungo il vettore, i risultati del best fit nella vista CAD sarebbero simili, ma la traslazione del vettore lungo il cono è cambiata come richiesto, come si può notare dalla riga seguente della scheda Info:


Maggiori feature di vincolo negli allineamenti RPS

Nella finestra di dialogo Definizione Allineamento RPS:

è ora possibile aggiungere fino a 12 feature di vincolo usando il pulsante [image] che compare dopo l'ultima feature. Se tutte le feature selezionate non possono essere visualizzate simultaneamente nella finestra di dialogo, potete usare la barra di scorrimento a destra.

Ciò vi permette di 'sovra-vincolare' un allineamento, tipicamente nel caso in cui non possa essere creato in modo perfetto e quindi sia richiesto un certo 'best fit. Questi tipi di allineamenti vengono spesso usati nelle industrie automotive e aerospaziali.


Importare risultati misurati in un'altra misura

PowerINSPECT 4.3 include una nuova opzione di menù, Misure - Importa Dati Misurati, per importare risultati misurati da una misura in un'altra misura.

Ciò vi permette di spostare una parte in una nuova posizione su una macchina e misurare feature addizionali su di essa, senza aver bisogno di rimisurare tutte le feature precedentemente misurate. Soltanto le feature utilizzate nell'allineamento della parte devono essere rimisurate, poichè l'opzione Misure - Importa Dati Misurati copia automaticamente i risultati della misurazione da una misura nella nuova e ricalcola i risultati rispetto all'allineamento rimisurato.


Misure - Importa Dati Misurati

Usate questa opzione del menù se, dopo la misurazione, dovete spostare fisicamente la parte su di una macchina utensile e non volete ri-misurare tutti gli elementi precedentemente misurati nella sequenza di ispezione. Ciò può accadere, per esempio, se la misurazione iniziale mostra che una feature su di una parte si trova fuori dalla tolleranza e quindi la parte ritorna alla macchina utensile per una rilavorazione. Quando la parte è pronta per essere misurata dopo la rilavorazione potreste non voler ripetere la misurazione per tutti gli elementi precedentemente misurati che si trovavano entro i limiti di tolleranza.

I passi seguenti illustrano come potreste voler utilizzare questa opzione entro PowerINSPECT:

  1. Avete una sessione di PowerINSPECT con un gruppo geometrico (Gruppo Geometrico 1) che contiene le feature necessarie per creare un allineamento PLP, un ulteriore gruppo geometrico (Gruppo Geometrico 2), ed un gruppo di ispezione di superficie (Gruppo di Ispezione 1). Misurate i gruppi geometrici ed il gruppo di ispezione di superficie, in modo che le misurazioni siano salvate nella misura Parte Principale:

    Potete visualizzare informazioni dettagliate circa la misurazione per gruppi di ispezione e per feature geometriche sulla scheda Rapporto - per esempio, i risultati di misurazione per il Gruppo di Ispezione 1:

  2. Per qualunque motivo, vi trovate nella condizione di dover rimuovere la parte dalla macchina. Riposizionate più tardi la parte in una posizione diversa dalla macchina.
  3. Create una nuova misura, chiamata Misura_Finale, usando l'opzione del menù Misure - Nuova Misura, che diventa la misura corrente. Si osservi che le icone di misurazione per i gruppi nella sequenza di ispezione sono aggiornate ad indicare che questi gruppi non sono ancora stati misurati nella Misura_Finale:

    Si noti inoltre che le informazioni sulla scheda Rapporto vengono aggiornate ad indicare che non esistono risultati di misurazione - per esempio, per Gruppo di Ispezione 1:

  4. Rimisurare le feature in Gruppo Geometrico 1 che vengono usate nell'allineamento PLP, per aggiornare l'allineamento.
  5. Selezionate l'opzione Misure - Importa Dati Misurati. Viene visualizzata la finestra di dialogo Importa Misura per permettervi di scegliere la misura (Parte Principale) dalla quale volete importare i dati.
  6. Fate click su OK. PowerINSPECT importa i dati misurati dalla Parte Principale nella Misura_finale e li ricalcola usando l'allineamento rimisurato che avete creato al Passo 4. Si osservi che la sequenza di ispezione per la Misura_finale si aggiorna ad indicare che i dati della misurazione sono stati importati:

    L'informazione nella scheda Rapporto viene anch'essa aggiornata per mostrare i dettagli delle misurazioni importate dalla Parte Principale. Si osservi che le deviazioni rimangono le stesse:

  7. Se richiesto, aggiungete voci addizionali nella nuova misura - per esempio:

  8. Quando sono state misurate voci addizionali, la sequenza di ispezione si aggiorna per mostrare che tutti i risultati di misurazione sono ora memorizzati nella misura corrente (Misura_Finale):

    Nella misura della Parte Principale, le voci addizionali rimangono non misurate:


Trasformare il sistema di coordinate di una parte

PowerINSPECT 4.3 include una nuova opzione del menù, Misure - Trasforma Nominali, che vi permette di condizionare la trasformazione di una parte in un sistema di coordinate diverso (ammesso che la traslazione/rotazione verso il riferimento obiettivo sia nota) e salvare la trasformazione da una sessione alla successiva. Ciò vi risparmia il dover caricare diverse versioni dello stesso modello al fine di ispezionarlo in diversi sistemi di coordinate.

Ciò risulta particolarmente utile se, per esempio, desiderate fornire informazioni di ispezione nelle coordinate Posizione Utensile e creare rapporti trasformati in coordinate Body Position/'Car Line'.


Misure - Trasforma Nominali

Una volta che una parte è stata misurata in un orientamento/posizione, questa opzione genera i risultati che sarebbero prodotti dalla trasformazione della parte in un diverso orientamento/posizione.

  • Nonostante l'opzione trasformi per definizione i valori dei nominali della parte, essa ha inoltre l'effetto di trasformare tutto il resto, incluso il CAD ed i dati misurati, e gli oggetti dell'albero di sequenza.
  1. Create una nuova sessione di PowerINSPECT e visualizzate la parte allineata nella vista CAD, per esempio:

  • Potete verificare i dati delle coordinate facendo click sulla scheda Rapporto:

  1. Selezionate Misure - Trasforma Nominali dal menù.
  2. La finestra di dialogo Matrice di Trasformazione viene visualizzata per permettervi di specificare l'informazione richiesta.
    • Una volta che salvate il file .pwi, la trasformazione viene salvata con la parte, in modo tale che la prossima volta che aprite il file la parte verrà automaticamente trasformata. Quando volete ritornare al sistema di coordinate originale, usate semplicemente il pulsante Cancella nella finestra di dialogo Matrice di Trasformazione per rimuovere la trasformazione, e poi ri-salvate il file.
    • Le Deviazioni originali vengono conservate.

      Supponendo che abbiate optato per la rotazione del modello CAD al Passo 1 di 45 gradi Attorno a Z. La scheda Rapporto mostra i valori trasformati:

    • L'inclusione della voce Rapporto Vista CAD vi permette di visualizzare la trasformazione.
    • Per effettuare l'offset di un allineamento (invece che dell'intero sistema di coordinate) nel caso in cui non tutte le feature selezionate per l'allineamento siano correntemente allineate con gli assi principali, o dove uno o più dei punti selezionati per l'allineamento non coincidano con il CAD, fate riferimento alle descrizioni dell'allineamento appropriato nel Manuale di Riferimento.


Creare percorsi della sonda a partire da un file di punti nominali

PowerINSPECT 4.3 include una nuova opzione del menù, Strumenti - Importa Punti, che vi permette di creare percorsi sonda automaticamente quando importate un file che contiene coordinate di specifici punti nominali. Per vedere un formato file esempio, fate riferimento a Strumenti - Importa Punti.

Una volta caricato il modello CAD associato con il file, selezionate Strumenti - Importa Punti e poi selezionate una delle seguenti opzioni:

  • Creare Gruppo di Ispezione di Superficie, per creare un gruppo di ispezione superficie dai punti specificati.
  • Creare Punti Geometrici, per creare un gruppo geometrico di punti singoli a partire dai punti specificati.


Strumenti - Importa Punti

Questa funzione vi permette di creare un percorso della sonda a partire da un file di testo contenente coordinate di punti nominali specifici, per esempio un file separato di coordinate in un formato XYZIJK:

106,451827,50,000006,34,095465,-0,290788,-0,541083,0,789096

-0,000002, 49,524182,15,847267,0,-0,541082,0,84097

-80,268954,50,093428,25,603407,0,219156,-0,541084,0,811911

-97,762263, 0,15.50753,0,303025,0,0.952983

0,0,-0,600686,0,0,1

76,53957,0,9.198199,-0,23697,0,0.971517

91,946816,-50,000014,29,156563,0,251169,0,541084,0,802585

-1,627348,-50,000014,15,112013,0,004443, 0,541082,0,840958

-94,703469,-50,000002,30,033494,0,258701,0,541083,0,800189

Per importare il file di punti in PowerINSPECT

  1. Caricate il modello CAD che è associato al file che state importando.
  2. Seleziona:
    • Strumenti - Importa Punti - Crea Gruppo Ispezione di Superficie, per creare un gruppo di ispezione di superficie a partire dai punti specificati nel file, oppure
    • Strumenti - Importa Punti - Crea Punti Geometrici, per creare un gruppo geometrico di singoli punti a partire da punti specificati nel file.

      Il wizard Importa Punti è visualizzato:

  3. Fate click su Sfoglia per aprire la finestra di dialogo standard di Windows Apri e posizionare il file punti che volete importare.

    Se PowerINSPECT riconosce l'estensione del file, visualizza le descrizioni del tipo di file riconosciuto nella scheda Formati Possibili, per esempio:

  4. Evidenziate il formato richiesto. Se non vi è nessun formato evidenziato sotto Formati Possibili, fate click su Tutti i Formati ed evidenziate il formato richiesto dall'elenco visualizzato.

    Se volete visualizzare un'anteprima di come il formato selezionato interpreta le coordinate punto nel file, fate click su Anteprima. Per esempio:

    Fate click su OK per chiudere la finestra.

  5. Quando avete selezionato il formato file richiesto, fate click su Avanti per visualizzare un riassunto delle opzioni che verranno usate nel processo di importazione:

    Se siete soddisfatti con questo sommario, fate click su Avanti per procedere. Altrimenti, verificate le opzioni usando il pulsante Anteprima prima di procedere. Se desiderate cambiare il formato file, fate click su Indietro e procedete dal Passo 4. Se desiderate interrompere il processo di importazione, fate click su Annulla.

  6. PowerINSPECT inizia ad importare i punti in un nuovo gruppo. Se desiderate interrompere il processo di importazione, fate click su Stop e confermate facendo click su Sì. PowerINSPECT interrompe il processo di importazione, ma avrete bisogno di cancellare il nuovo gruppo dalla sequenza di ispezione.

    Una volta che l'importazione è completa, PowerINSPECT visualizza i punti nella vista CAD e compare una casella di messaggio a conferma della creazione dell'ispezione o del gruppo geometrico nella sequenza di ispezione, ed il numero di punti usati per crearlo.

  7. Fate click su OK per chiudere il messaggio di conferma, seguito dal punsante Fatto! per chiudere il wizard.

    Per un esempio della creazione di un gruppo geometrico, fate riferimento a Strumenti - Importa Punti - Crea Punti Geometrici.

    Per un esempio della creazione di un gruppo di ispezione superficie, fate riferimento a Strumenti - Importa Punti - Crea Gruppo di Ispezione di Superficie.


Strumenti - Importa Punti - Crea Punti Geometrici

Fate riferimento a Strumenti - Importa Punti per l'uso del wizard Importa Punti.

Supponete di aver utilizzato il wizard per importare il file contenente i 9 punti mostrati nell'esempio in Strumenti - Importa Punti, nel seguente modello:

  1. I punti singoli seguenti compaiono nella sequenza di ispezione, formando un nuovo gruppo geometrico:

  2. Una volta che chiudete il messaggio di conferma ed il wizard, i 9 punti sono visualizzati come segue:


Strumenti - Importa Punti - Crea Gruppo di Ispezione di Superficie

Fate riferimento a Strumenti - Importa Punti per l'uso del wizard Importa Punti.

Supponete di aver utilizzato il wizard per importare il file contenente i 9 punti mostrati nell'esempio in Strumenti - Importa Punti, nel seguente modello:

  1. Il seguente gruppo di ispezione compare nella sequenza di ispezione.

  2. Una volta che chiudete il messaggio di conferma ed il wizard, i 9 punti sono visualizzati come segue:

  3. Modificate la strategia ed il metodo di rilevamento come richiesto.


Miglioramenti al rapporto

Le informazioni visualizzate nella scheda Rapporto sono state migliorate come segue:

  • Potete inserire ora una voce Rapporto Vista CAD nella sequenza di ispezione, o in qualunque altro gruppo entro la sequenza di ispezione, al fine di generare uno snapshot della vista CAD e delle sue caratteristiche peculiari nella scheda Rapporto. Potete controllare l'orientamento di ciascun snapshot della vista CAD che è inserito nel report. Avete inoltre l'opzione di impostare l'elemento secondo Modifica la vista dopo che gli elementi in essa sono stati misurati, che ha l'effetto di modificare la posizione, lo zoom e l'orientamento della vista CAD a come era nella voce del rapporto, quando la voce Report della vista CAD veniva eseguita come parte della sequenza di ispezione.
    • Lo snapshot compare anche nella scheda Info dove la voce è selezionata nella sequenza di ispezione.
    • Potete selezionare la finestra di dialogo Opzioni del Rapporto Globale (segue) al fine di selezionare o de-selezionare le opzioni Nascondi lo sfondo degli screenshot e Alta risoluzione degli screenshot. L'opzione precedente è selezionata di default in modo che gli sfondi non siano inlcusi negli snapshot. Se viene selezionata la seconda opzione, gli snapshot sono creati con la stessa qualità della stampa della Vista CAD (se non selezionata, come da impostazione predefinita, la qualità è la stessa dell'Anteprima di Stampa della Vista CAD).

      Per alcuni esempi di voci Rapporto Vista CAD, fate riferimento a Misure - Trasforma Nominali.

  • Potete visualizzare i punti rilevati. Selezionate Misure - Parametri - Variabili e fate click su Opzioni del report globale:

    La seguente finestra di dialogo viene visualizzata:

    Potete quindi selezionare l'opzione Mostra Punti Misurati, che consentirà il report di ciascun punto misurato individualmente.

  • I gruppi di ispezione superficie non misurati sono indicati dalla frase 'Non è stato rilevato nessun punto'.
  • I valori non misurati sono visualizzati come xxxxx (come nell'esempio sotto).
  • Ciascuna feature geometrica è seguita da una stringa tra parentesi che indica gli elementi di riferimento a cui i risultati fanno riferimento, per esempio il riferimento, o le feature che definiscono un angolo e il/i piano/i di riferimento associato/i:

  • In aggiunta, potete ora scegliere di trasformare un sistema di coordinate della parte e visualizzare i dati delle coordinate aggiornati nella scheda Rapporto .


Voce Report della vista CAD

Potreste voler aggiungere uno snapshot della vista CAD corrente al rapporto di ispezione. Per esempio:

  • Dopo aver creato uno Stato Vista CAD specifico, potreste decidere che, oltre a generare questa particolare vista CAD nella sequenza di ispezione, sarebbe anche utile registrare le caratteristiche della vista per il rapporto di ispezione.
  • Dopo aver creato un gruppo di ispezione di superficie, potete catturare uno snapshot della vista CAD corrente senza che vengano visualizzati tutti gli elementi nel gruppo geometrico (invece di dover ritornare alla sequenza di ispezione al fine di disattivarli tutti).

La maggioranza delle caratteristiche della vista CAD sono salvate con ciascun snapshot, per esempio:

  • Elementi visibili
  • Livelli visibili del modello CAD
  • Posizione, zoom ed orientamento
  • Modo Ombreggiatura
  • Modalità di Visualizzazione - Etichette, In loco o Confetti
  • Impostazioni Filtro di Visualizzazione.
  • La posizione, lo zoom e l'orientamento della vista CAD sono aggiornati dinamicamente per corrispondere alla voce Report della vista CAD quando fate click con il tasto destro del mouse sulla voce e selezionate Ripristina Vista (l'effetto è lo stesso dell'eseguire la voce Report della vista CAD nella sequenza di ispezione quando la voce è impostata su Modifica la vista dopo che gli elementi in essa sono stati misurati).
  • Le caratteristiche del rapporto vengono aggiornate dinamicamente per coincidere con la vista CAD quando fate click con il tasto destro del mouse sulla voce Report della vista CAD e selezionate Stato del record.

La voce della sequenza di ispezione che vi permette di catturare uno snapshot è chiamata voce sequenza di ispezione. Per inserire una tale voce nella sequenza di ispezione:

  1. Impostate la vista CAD in modo tale che possieda le caratteristiche che volete salvare.

    Fate click sul pulsante Report della vista CAD CadViewReportButt per visualizzare la finestra di dialogo Report della vista CAD. Questo si trova:

    • sulla barra degli strumenti Elemento quando si inserisce la voce a livello di Definizione (o più alto) della sequenza di ispezione.

      oppure quando un gruppo di ispezione di superficie o di sezione è aperto.

    • sulla barra degli strumenti Vario quando viene inserita la voce entro un gruppo geometrico aperto nella sequenza di ispezione.

  2. Completate la finestra di dialogo Report della vista CAD:

    • Modificate il Nome come richiesto.
    • Fate click sulla check box affianco a Modifica la vista dopo che gli elementi in essa sono stati misurati se volete che la posizione, lo zoom e l'orientamento della vista CAD tornino allo stato in cui erano nella voce rapporto, quando la voce è eseguita come parte della sequenza di ispezione.
    • Specificate l'Orientamento specifico facendo click sul radio button Ritratto o Panorama.
    • La voce apparirà di default nella scheda Rapporto. Se non lo desiderate, fate click sul pulsante seguente Mostra nel report in modo che cambi in [image] (il pulsante funziona come un interruttore, in modo che possiate semplicemente farvi click nuovamente se volete invertirlo).
  3. Una voce Report della vista CAD viene aggiunta alla sequenza di ispezione - per esempio:

    • Lo snapshot compare anche nella scheda Info dove la voce è selezionata nella sequenza di ispezione.
  4. Quando fate click sulla scheda Rapporto, la vista CAD registrata viene visualizzata:

  5. Se volete modificare una qualsiasi delle caratteristiche della voce rapporto, passate alla Vista CAD, aggiornate la visualizzazione, fate click con il tasto destro del mouse sulla voce Report della vista CAD nella sequenza di ispezione e selezionate Stato del record dal menù di contesto. Quando passate nuovamente alla scheda Rapporto, vedrete che l'immagine è stata aggiornata.

    Se volete modificare la posizione, lo zoom e l'orientamento della vista CAD per farla coincidere con il rapporto, fate click on il tasto destro del mouse sulla voce Report della vista CAD e selezionate Ripristina Vista dal menù di contesto. La vista CAD viene aggiornta immediatamente.

  6. Quando misurate gli elementi nella sequenza di ispezione, PowerINSPECT modificherà automaticamente la posizione, zoom ed orientamento della vista CAD per far coincidere ciascuna voce Report della vista CAD nella sequenza di ispezione che ha l'opzione Modifica la vista dopo che gli elementi in essa sono stati misurati selezionata.


Nuova opzione Calcola Automaticamente per il rilevamento

Potete ora specificare se volete che PowerINSPECT calcoli le feature geometriche automaticamente durante il rilevamento. Nelle versioni precedenti, PowerINSPECT cercava automaticamente di calcolare le feature geometriche una volta preso il numero minimo di punti necessari.

Può risultare utile disattivare il 'calcolo automatico' quando vengono rilevate feature con un grande numero di punti (come ad esempio coni) per velocizzare il processo di rilevamento.

Per controllare il calcolo automatico, utilizzate il pulsante Calcolo Automatico [image] :

  • Come impostazione predefinita il calcolo automatico è attivo, in modo che il comportamento di predefinito è lo stesso rispetto alle versioni precedenti di PowerINSPECT.

PowerINSPECT ricorda le impostazioni che specificate in questa finestra di dialogo e le applica a tutte le feature rilevate.


Esempio di rilevamento con il calcolo automatico attivo

L'esempio seguente mostra l'effetto dell'ispezione di una sfera, utilizzando un percorso della sonda a 'sfere di riferimento', quando il calcolo automatico è impostato su on:

  1. Il primo punto è stato rilevato e PowerINSPECT è in attesa che venga rilevato il secondo. L'indicatore del Numero di punti presi possiede uno sfondo rosso ad indicare che il numero minimo di punti presi per definire questa feature non è ancora stato raggiunto:

  2. Man mano che vengono presi ulteriori punti, PowerINSPECT cerca di calcolare la feature (fate riferimento a X, Y, e Z e ad altri valori nella finestra di dialogo Rilevamento Entità) e rappresenta questi valori graficamente nella vista CAD di misurazione a schermo intero. Una volta che il numero minimo di punti necessari a definire la feature è stato catturato (quattro per una sfera), lo sfondo dell'indicatore Numero di punti presi diventa verde. Il rilevamento non è ancora completo, poichè il percorso della sonda contiene cinque punti rilevati e soltanto quattro sono stati rilevati:

  3. Una volta rilevato il quinto punto del percorso della sonda, PowerINSPECT completa il calcolo della sfera, chiude automaticamente la finestra di dialogo Rilevamento Entità e visualizza la feature misurata nella vista CAD:


Esempio di rilevamento con il calcolo automatico impostato su off

L'esempio seguente mostra l'effetto dell'ispezione di una sfera, utilizzando un percorso della sonda a 'sfere di riferimento', quando il calcolo automatico è impostato su off:

  1. Il primo punto è stato rilevato e PowerINSPECT è in attesa che venga rilevato il secondo. L'indicatore Numero di Punti Presi presenta uno sfondo arancione ad indicare che il calcolo automatico è disattivato e dunque il calcolo verrà deferito finchè tutti i punti nel percorso della sonda non saranno stati rilevati:

  2. Man mano che vengono presi più punti, PowerINSPECT non cerca di calcolare la feature a partire dai punti presi. PowerINSPECT non sa se è stato rilevato il numero minimo di punti necessari, e dunque lo sfondo dell'Indicatore Numero di Punti Presi rimane arancione ad indicare che il calcolo automatico è impostato su off.

    Il rilevamento non è ancora completo, poichè il percorso della sonda contiene cinque punti rilevati e soltanto quattro sono stati rilevati:

  3. Una volta rilevato il quinto punto del percorso della sonda, PowerINSPECT calcola la sfera, chiude automaticamente la finestra di dialogo Rilevamento Entità e visualizza la feature misurata nella vista CAD:


Cambiamenti alla modifica di una voce Stato Vista CAD

Per assicurare una maggiore coerenza con altre aree di PowerINSPECT, il modo in cui modificate le voci di Stato Vista CAD è cambiato come segue:

Per...

Completate questi passi:

rinominare una voce Stato Vista CAD
  1. Selezionate la voce Stato Vista CAD che volete rinominare dalla sequenza di ispezione.
  2. Fate click sul pulsante Modifica Elemento [image] per visualizzare la finestra di dialogo Stato Vista CAD.
  3. Inserite un nuovo nome per la voce nel campo Nome e fate click su OK.

In alternativa, potete fare doppio click su una voce Stato Vista CAD nella sequenza di ispezione, selezionare l'opzione Rinomina Elemento e poi inserire il nuovo nome.

aggiornare una voce Stato Vista CAD con posizione, zoom ed orientamento correntemente visualizzate nella vista CAD
  1. Impostate la Vista CAD per mostrare posizione, zoom ed orientamento che volete salvare.
  2. Selezionate la voce Stato Vista CAD che volete aggiornare nella sequenza di ispezione.
  3. Fate click con il tasto destro del mouse e selezionate Stato del Record dal menù di contesto. La voce Stato Vista CAD viene aggiornata.

modificare la vista CAD per riflettere le impostazioni di posizione, zoom ed orientamento salvate in una voce Stato Vista CAD
  1. Selezionate la voce Stato Vista CAD nella sequenza di ispezione.
  2. Fate click con il tasto destro del mouse e selezionate Ripristina vista dal menù di contesto. La vista CAD si aggiorna per riflettere le impostazioni salvate nella voce Stato Vista CAD.


Colori per etichette casella

I colori utilizzati per etichette di casella sono cambiati come segue:

  • Lo schema colori per le caselle circostanti è stato semplificato in modo da rendere più facile vedere quali elementi si trovano entro o fuori tolleranza.
  • I valori di deviazione rispondono ad un codice-colore che mostra se si trovano entro, sopra o sotto la tolleranza.


Colori casella

Le caselle circostanti utilizzano il seguente schema colori:

  • Verde - misurato come entro la tolleranza.
  • Rosso - misurato come fuori dai limiti di tolleranza (al di sopra o al di sotto della tolleranza).
  • Giallo - non misurato (applicabile soltanto a feature geometriche).
  • Nero - non può essere misurato (per esempio, piani costruiti).

Per esempio:


Colori valore deviazione

I valori di deviazione visualizzati entro le etichette di casella rispondono ad un codice-colore per indicare se il valore si trova entro, sopra o sotto i limiti di tolleranza:

  • Verde - entro la tolleranza
  • Rosso - sopra la tolleranza
  • Blu - sotto la tolleranza

Per esempio:

  • I valori di deviazione sono visualizzati nelle etichette di casella se è selezionato Maggiori Informazioni nella finestra di dialogo Filtro di Visualizzazione.


Livelli CAD per gruppi di ispezione superficie

PowerINSPECT 4.3 vi permette di definire i livelli CAD (o contesto CAD) che si applica all'ispezione di superficie per gruppi di ispezione di superficie.

Precedentemente, il contesto CAD si applicava a tutti i gruppi di ispezione di superficie nella sequenza di ispezione e non poteva essere ignorato per gruppi di ispezione di superficie individuali.

Definire i livelli CAD da utilizzare quando ispezionate un gruppo di ispezione superficie può risultare utile se volete:

  • Fornire maggiore guida per la misurazione manuale, per esempio per controllare la superficie su cui i punti sono presi senza specificare le coordinate effettive che devono essere prese.
  • Eliminare la possibilità di prendere un punto sulla superficie sbagliata. Per esempio, quando state rilevando una superficie su uno stampo, due superfici potrebbero risultare molto vicine tra loro, e PowerINSPECT potrebbe provare a far coincidere il punto che rilevate sulla parte con la superficie CAD sbagliata.

    L'esempio seguente mostra due superfici entro la tolleranza del contatto della sonda. Usando livelli CAD (con ciascuna superficie contenuta in un diverso livello CAD) potete specificare che soltanto la superficie superiore è attiva per questa ispezione in modo che PowerINSPECT non cerchi di adattare i punti rilevati alla superficie CAD inferiore.


Specificare livelli CAD per un gruppo ispezione superficie

Come impostazione predefinita, tutti i gruppi ispezione superficie nella sequenza di ispezione usano gli stessi livelli CAD (o contesto CAD) per l'ispezione. Se un livello è incluso nel contesto CAD, PowerINSPECT prova a confrontare i punti misurati con le superfici CAD in quel livello. Potete vedere i livelli correntemente impostati per l'ispezione sulla tabella Manager del File CAD. Un segno affianco ad un livello CAD indica che verrà incluso nell'ispezione - nell'esempio seguente soltanto il Livello 1: Superfici è stato selezionato come il livello CAD per l'ispezione:

Per ignorare i livelli CAD predefiniti per l'ispezione di un gruppo di ispezione superficie individuale:

  1. Selezionate un gruppo ispezione superficie dalla sequenza di ispezione e fate click su [image] per visualizzare la finestra di dialogo Gruppo di Ispezione di Superficie.
  2. Fate click sul pulsante Livelli da usare per visualizzare la finestra di dialogo Selezione Livello:

    Come impostazione predefinita tutti i livelli sono selezionati come attivi (cioè, saranno usati nell'ispezionare questo gruppo di ispezione superficie). Potete spostare i livelli tra gli elenchi di Livelli Attivi (inclusi nell'ispezione) e Livelli Disponibili (non inclusi nell'ispezione), come segue:

    Linked PowerINSPECT Graphics Directory Template – sposta tutti i livelli dall'elenco Livelli Attivi all'elenco Livelli Disponibili.

    Linked PowerINSPECT Graphics Directory Template – sposta il livello selezionato dall'elenco Livelli Attivi all'elenco Livelli Disponibili.

    Linked PowerINSPECT Graphics Directory Template – sposta il livello selezionato dall'elenco Livelli Disponibili all'elenco Livelli Attivi.

    Linked PowerINSPECT Graphics Directory Template – sposta tutti i Livelli dall'elenco Livelli Disponibili all'elenco Livelli Attivi.

  3. Quando avrete selezionato i livelli che volete che siano usati quando ispezionate questo gruppo di ispezione superficie, fate click su OK per chiudere la finestra di dialogo e ritornate alla finestra di dialogo Gruppo Ispezione di Superficie.
  4. Quando avete completato la finestra di dialogo Gruppo di Ispezione di Superficie, fate click su OK.

Quando ispezionate la parte, PowerINSPECT ignora ogni superficie nei livelli CAD che non è stata selezionata per l'ispezione. Per esempio, se una parte presenta i seguenti livelli:

e avete un gruppo ispezione superficie con punti sulle superfici in tutti questi livelli, PowerINSPECT produce risultati per tutte le superfici - per esempio:

Se, tuttavia, escludete il livello 2: Wireframe per l'ispezione, PowerINSPECT ignora ogni superficie in quel livello quando si ispeziona la parte - per esempio:


Cambiamenti nella finestra di dialogo Opzioni

Quando utilizzate la finestra di dialogo Opzioni, potete ora ottenere aiuto, nella forma di finestre pop-up, riguardo alle impostazioni disponibili.

Inoltre sono state aggiunte molte nuove impostazioni alla finestra di dialogo Opzioni per:

  • modificare i caratteri.
  • modificare il colore di linee, etichette e frecce.
  • modificare i colori dei punti acquisiti e di linea di scansione in nuvole di punti.
  • modificare l'opzione di ignorare il tipo di commento visualizzato durante un'ispezione.

Per visualizzare la finestra di dialogo Opzioni, selezionate Strumenti - Opzioni dal menù.


Ottenere aiuto sulla finestra di dialogo Opzioni

E' disponibile un aiuto, nella forma di finestre pop-up, per le varie impostazioni nella finestra di dialogo.

Per visualizzare una finestra pop-up, fate click sul pulsante [image] in alto a destra della finestra di dialogo e spostate il cursore (ora nella forma di punto interrogativo) sopra l'impostazione richiesta:

Fate click per visualizzare la finestra pop-up appropriata, per esempio:


Modificare i caratteri

Potete ora modificare il carattere usato per le misurazioni Incasella e Scala nella vista CAD, e inoltre per le Etichette. Selezionate Caratteri:

Come impostazione predefinita, il campo Usa il tipo di carattere di sistema è selezionato e i campi Incasella e scala il tipo di carattere e Carattere delle etichette non sono disponibili. Per modificare un carattere, de-selezionate il campo Usa il tipo di carattere di sistema per rendere disponibili gli altri campi ed effettuare la/e selezione/i del carattere dagli elenchi a tendina Incasella e scala il tipo di carattere e/o Carattere delle etichette. Poi fate click sul pulsante Applica per modificare il carattere appropriato nella vista CAD (oppure anche il pulsante OK se desiderate applicare le modifiche e chiudere la finestra di dialogo).


Modificare il colore di linee, etichette e frecce

Potete ora modificare i colori della linea usata per identificare la feature oppure il punto a cui fa riferimento una etichetta di casella - per esempio:

Per modificare il colore delle frecce dell'etichetta, usate l'opzione Colore della freccia dell'etichetta entro Colori - Generale:

Per modificare un colore, potete aprire la palette dei colori standard facendo doppio click sul colore per impostare quello che volete modificare, o facendo click su pulsante sotto Colore Principale. Quindi selezionate un colore diverso. Il nuovo colore selezionato sostituisce quello esistente. Se avete bisogno di vedere come questo nuovo colore apparirebbe nell'interfaccia, fate click sul pulsante Anteprima. Se desiderate invertire il colore originale, fate click sul pulsante Reimposta.


Modificare i colori dei punti acquisiti e dei punti dello scan

Sono presenti due nuove opzioni in Colori - Nuvola di Punti che vi permettono di specificare colori aggiuntivi quando lavorate con nuvole di punti:

  • Punti acquisiti, che determina il colore dei punti che sono raccolti da un laser prima che siano proiettati sulla superficie (il colore predefinito è il bianco).
  • Punti dello scan acquisiti, che determina il colore dei punti della linee laser acquisita per entità geometriche e superfici nella vista CAD (il colore predefinito è il rosso).

  • Per visualizzare i punti di scan acquisiti nella vista CAD, l'opzione Mostra centro della sonda (in Visualizza Opzioni - Vista CAD) deve essere selezionata.


Impostare le preferenze di funzionamento del Commento

Se la sessione di ispezione corrente possiede uno o più Commenti Linked PowerINSPECT Graphics Directory Template nella sequenza di ispezione, il radio button selezionato nella finestra di dialogo Commenti determina il loro comportamento durante una ispezione:

  • Fate click su Modale se i Commenti devono essere riconosciuti dall'utente (facendo click su [image]) durante un'ispezione prima di poter continuare a misurare.
  • Fate click su Non modale se i Commenti possono essere lasciati aperti mentre l'utente continua la misurazione.
  • Lasciate selezionato Usa le impostazioni dei commenti se non c'è nessuna reimpostazione. Ciò significa che il comportamento di ciascun Commento individuale è determinato dall'impostazione alla quale è associato nella sequenza di ispezione.

    Il Commento sopra è correntemente impostato su Non modale poichè l'impostazione predefinita Mostra come oggetto non modale è selezionata. Se desiderate che il Commento si comporti secondo uno stile Modale in modo che l'utente sia forzato ad accettare e chiudere il commento prima di continuare, de-selezionate Mostra come oggetto non modale e fate click su [image].


Utilizzare feature non misurate per creare elementi GD&T

Il modo in cui create misurazioni GD&T è cambiato come segue:

  • Sia le feature misurate che quelle non misurate sono ora disponibili per la selezione quando utilizzate il Wizard GD&T.
  • Il calcolo iniziale per tutte le misurazioni GD&T mostrate nella schermata Anteprima del Risultato del Wizard è ora effettuato utilizzando nominali, piuttosto che usando dati provenienti dalla misura corrente. I dettagli della misurazione GD&T mostrati nella scheda Info si applicano ancora alla misura corrente.


Utilizzare il Wizard GD&T

Utilizzate il Wizard GD&T per definire una misurazione GD&T come elemento geometrico e poi riferite qualora le feature in confronto alle quali è misurato corrispondano ai vostri criteri.

Le istruzioni nel wizard variano in base al tipo di misurazione che state creando. L'esempio seguente mostra come creare una misurazione di perpendicolarità GD&T usando un cilindro non misurato ed un piano misurato:

  1. Aprite un gruppo geometrico e poi fate click su Linked PowerINSPECT Graphics Directory Template sulla barra degli strumenti Elemento per visualizzare il Wizard GD&T:

    Linked PowerINSPECT Graphics Directory Template

  2. Se volete modificare il nome usato per identificare l'elemento GD&T nel gruppo geometrico, inseritelo nella casella Nome.
  3. Selezionate Perpendicolarità e poi fate click su Avanti > per visualizzare la prossima schermata nel wizard:

    Linked PowerINSPECT Graphics Directory Template

    La schermata del wizard è divisa nelle seguenti aree:

    - Istruzioni su come usare questa schermata.

    - La Finestra di controllo GD&T. Questa informazione è costruita in base a cosa avete selezionato sullo schermo. Per esempio, qui viene mostrato il simbolo di Perpendicolarità e che la feature avrebbe dovuto avere una tolleranza di diametro 0.01 in relazione al Riferimento A.

    - le aree Feature e Riferimento sono dove selezionate la feature da misurare ed il(i) riferimento(i) nei confronti del quale deve essere misurato. Qui, il Cilindro 1 (non misurato, come indicato da [image] ) è selezionato come feature e Piano 1 (misurato, come indicato da [image] ) come riferimento singolo.

    - l'area Tolleranza è dove definite la tolleranza della misurazione.

    - Fate click sul pulsante Mostrami un esempio per vedere un diagramma esempio per questo caso.

  4. Una volta che avete risposto alle domande del wizard, fate click su Avanti > per visualizzare la schermata di Anteprima del Risultato per visualizzare i risultati della misurazione GD&T, calcolata usando i dati nominali della feature. Il testo colorato è usato per denotare se la misurazione è entro (verde) o fuori (rosso) dai limiti di tolleranza - per esempio:

    Scorrete per visualizzare maggiori dettagli:

    Linked PowerINSPECT Graphics Directory Template

    Qui potete vedere la Zona di Tolleranza. Una misurazione si trova fuori tolleranza se il valore dell'Ampiezza Zona Misurata è maggiore del valore Zona di Tolleranza + Bonus.

    • Un bonus potrebbe essere aggiunto se utilizzate un modificatore di materiale MMC o LMC.
  5. Fate click su Stampa se volete stampare le informazioni visualizzate nella schermata Anteprima del Risultato immediatamente.
  6. Se volete:
    • aggiungere una misurazione GD&T come elemento alla sequenza di ispezione, fate click su Fine.
    • modificare dettagli della misurazione GD&T prima di aggiungerla alla sequenza di ispezione, fate click su < Indietro per ritornare a schermate precedenti del Wizard GD&T.
    • cancellare la misurazione GD&T, fate click su Annulla.

Una volta aggiunta una misurazione GD&T alla sequenza di ispezione, potete visualizzarne i dettagli utilizzando la scheda Info .


Estrarre file dal file di esportazione Catia

PowerINSPECT 4.3 introduce supporto integrato per file di esportazione Catia (.exp). Questi file costituiscono un archivio che può contenere uno o più file Catia CAD (.tic), che potrebbe essere correlato o meno.

PowerINSPECT ora vi consente di estrarre file CAD individuali ( .TIC) da un file esportazione (.exp).

Utilizzate l'opzione del menù Strumenti - Estrai i file dal file Export Catia per accedere a questa feature.


Strumenti - Estrai i file dal file Export Catia

Usate questa opzione per estrarre file individuali .fic da un file di esportazione Catia (.exp).

  • Un file di esportazione Catia è un archivio singolo contenente un insieme di file *.fic. Il concetto è simile a quello degli archivi zip o rar.

Estraete il file come segue:

  1. Selezionate Estrai i file dal file Export Catia dal menù Strumenti in PowerINSPECT, per visualizzare la seguente finestra di dialogo:

  2. Localizzate il file .exp da cui i file individuali .fic devono essere estratti, selezionatelo, e fate click su Apri.

    I file .fic individuali sono estratti in una sottocartella nella stessa posizione del file .exp. Il nome di questa sottocartella è il nome del file .exp con l'estensione .exp sostituita da .dir.

    Potete ora aprire i file *.fic in PowerINSPECT come file CAD.

    • Se il file di esportazione contiene diversi file .fic con lo stesso nome, verrà aggiunta una tilde (~) seguita da un intero per rendere il nome unico. Per esempio, se ci sono tre file .fic chiamati asse nel file esportazione, verranno creati tre file: asse.fic, asse~2.fic ed asse~3.fic.
    • Se non può essere creato un nome file valido dal nome/descrizione nel file di esportazione per qualunque motivo, il file .fic verrà chiamato ficN, dove N è un intero che inizia a zero per il primo file .fic nel file di esportazione, ed è incrementato per ciascun file fic aggiuntivo. Dunque, se ci sono tre file .fic nel file di esportazione, finirete con l'avere tre file chiamati fic0, fic1 e fic2.
    • Se uno qualunque dei seguenti caratteri " * / < > ? \ |, una barra orizzontale, o qualunque carattere non stampabile sia presente nel nome/descrizione del file .fic, verrà sostituito con un underscore (_).


Calcolare punti di intersezione feature

Una nuova opzione Usa entità non collegate è stata aggiunta alla finestra di dialogo Punto di Intersezione Feature . Quando questa opzione è selezionata (come da impostazione predefinita), gli assi della feature sono estesi oltre i confini dell'entità fisica come richiesto al fine di calcolare i punti di intersezione della feature.


Punto all'Intersezione di Entità

La feature Punto all'Intersezione di Entità vi permette di creare un punto dove l'asse di una feature interseca con un altro asse o feature. Le due feature devono essere state create come parte di un gruppo geometrico. Dovete specificare una Linea di Riferimento (cioè, l'asse di una feature) ed una Feature di Riferimento (cioè, una seconda feature o un asse che deve essere intersecato dalla Linea di Riferimento specificata).

Con un gruppo geometrico aperto, fate click sulla barra degli strumenti a scomparsa Punti e fate click su Linked PowerINSPECT Graphics Directory Template. Viene visualizzata la finestra di dialogo Punto all'Intersezione di Entità:

  • I valori della finestra di dialogo riportano come predefiniti quelli del punto precedente, e quindi potreste non vedere i valori 0, 0, 0 mostrati sopra.

Questa finestra di dialogo è divisa nelle aree seguenti:

  • Nome - visualizza il nome assegnato automaticamente a questo punto. Potete modificarlo se lo desiderate.
  • Sistema Coord. - questo menu a tendina visualizza una lista di riferimenti e allineamenti disponibile per il punto. Per selezionare il riferimento che volete utilizzare per il punto, fate click sul suo nome. PowerINSPECT usa PCS (Sistema di coordinate della parte) come riferimento predefinito.
  • Usa entità non collegate - quando questa casella è selezionata (come da impostazione predefinita), il punto di intersezione non può essere calcolato immediatamente a causa delle boundary entità, PowerINSPECT estende esternamente gli assi come richiesto aldilà delle boundary associate, finchè non riesce a creare il punto di intersezione. Se volete invertire la situazione dove i punti di intersezione sono ristretti ad entità collegate, de-selezionate la casella.
  • Linea di Riferimento - questo elenco a tendina mostra una lista di possibili assi con i quali la Feature di Riferimento può intersecare. Selezionate l'asse richiesto.
  • Feature di Riferimento - questo elenco a tendina mostra una lista di possibili feature con cui la Linea di Riferimento può intersecare. Selezionate la feature richiesta.
    • Come alternativa all'uso di un elenco a tendina, potete selezionare sia la Linea di Riferimento che la Feature di Riferimento utilizzando il mouse facendo click [image] sull'icona alla destra dell'elenco.
  • Impostazione Valori Nominali - facendo click su questa opzione vi permette di sovrascrivere i valori nominali precedenti per il punto proposto a partire dall'Entità CAD o dalla Misura Attiva:

    • Quando selezionate dall'Entità CAD, PowerINSPECT ricalcola i valori nominali nella finestra di dialogo prendendo i valori correnti come punto di inizio e modificandoli con il valore del punto di intersezione più vicino tra la Linea di Riferimento e la Feature di Riferimento.
  • Punto - mostra i valori del punto nominale che verrà creato.
  • I valori di tolleranza possono essere ignorati per i fini di questa opzione.
  • Se selezionate un asse ed una feature dove possono essere creati due o più punti di intersezione lungo un asse, potete inserire manualmente il valore nominale che approssima la coordinata anticipata per guidare PowerINSPECT nel calcolo dell'alternativa preferita (fate riferimento agli Esempi seguenti).
  • Se il punto non è ancora stato misurato, nonostante il punto nominale rimarrà quello specificato in Punto, il punto effettivo di intersezione verrà ricalcolato una volta che le feature indicate dalla Linea di Riferimento e dalla Feature di Riferimento sono state calcolate.

Quando fate click su OK, PowerINSPECT crea il punto indicato dai valori nominali e chiude la finestra di dialogo. Se fate click su OK e Ripeti, PowerINSPECT crea il punto indicato dai valori nominali, crea i valori per un altro punto basato sul punto appena creato, e lascia la finestra di dialogo aperta per consentirvi di modificare qualunque valore del punto aggiuntivo. Se fate click su Applica, PowerINSPECT crea il punto indicato dai valori nominali e lascia la finestra di dialogo aperta.

  • Il pulsante Applica non è più disponibile se utilizzate l'impostazione Valore Nominale poichè questo determina la creazione del punto immediatamente.

Esempi

Un punto deve essere creato in corrispondenza dell'intersezione di due feature cilindriche:

Se visualizzate la finestra di dialogo Punto all'Intersezione di Entità e selezionate le due feature come mostrate nella finestra di dialogo all'inizio di questa sezione, e poi selezionate da Entità CAD, i nominali vengono ricalcolati come il punto di intersezione delle due feature più vicino ai precedenti valori 0, 0, 0:

Come potete vedere dalla vista dall'alto, esiste più di una intersezione di feature possibile in corrispondenza della quale avrebbe potuto essere creato il Punto 1:

Se create un ulteriore punto, potete garantire che venga creato sul lato opposto del Cilindro 4 lungo l'asse X, inserendo un valore approssimativo di X (negativo) per indicare i dintorni del nominale X del punto successivo:

Quando selezionate dalle Entità CAD, i nominali vengono ricalcolati come segue:

Il Punto 2 è creato sulla faccia opposta del Cilindro 4 lungo l'asse X:

  • Il punto successivo che create tornerà come impostazione predefinita ai valori precedenti, in modo tale che dobbiate modificare i nominali come richiesto e poi ri-selezionare dalle entità CAD o dalla Misura Attiva.


Esportare dati nuvola di punti

Sono stati effettuati i seguenti miglioramenti al modo in cui esportate dati nuvola di punti da PowerINSPECT:

  • Quando esportate dati nuvola di punti, potete ora esportare:
    • punti selezionati, da una o più nuvole di punti, che avete selezionato dalla scheda Vista CAD; oppure
    • tutti i punti da una nuvola di punti selezionata.
  • Quando esportate dati nuvola di punti in un file ASCII, potete specificare che vengano esportate tutte le combinazioni dei dettagli seguenti:
    • posizione originale;
    • vettore originale;
    • posizione proiettata;
    • vettore proiettato (normale alla superficie); e
    • deviazione.

Questi miglioramenti indicano che esiste ora una nuova procedura per esportare dati nuvola di punti.


Esportare dati nuvola di punti: nuova procedura

  1. Selezionate i dati della nuvola di punti che volete esportare. Per esportare:
    • una intera nuvola di punti, selezionate la nuvola di punti dalla sequenza di ispezione, poi fate click con il tasto destro del mouse e selezionate Esporta Nuvola di Punti dal menù di contesto.
    • punti selezionati da una o più nuvole di punti, usate il pulsante Selettore di Picking dalla barra degli strumenti Modifica Nuvola di Punti per selezionare punti visualizzati nella Vista CAD, poi selezionate l'opzione del menù Strumenti - Nuvola di Punti - Esporta Nuvola di Punti o fate click sul pulsante Esporta Nuvola di Punti sulla barra degli strumenti Modifica Nuvola di Punti:

      Linked PowerINSPECT Graphics Directory Template

      PowerINSPECT visualizza la finestra di dialogo Esporta Nuvola di Punti :

  2. Selezionate il formato verso il quale esportare i dettagli della nuvola di punti a partire dall'elenco a tendina Formato dati. Potete selezionare tra:
    • File ASCII (*.asc)
    • Perceptron XML (*.xml)
    • Perceptron BIN (*.bin)
    • ScanWorks SWL (*.swl)
  3. Specificate il sistema di coordinate che volete usare quando esportate i dettagli della nuvola di punti, selezionando l'opzione coordinate CAD o coordinate CMM.
  4. Specificare i dati circa ciascun punto che volete che sia esportato. Potete selezionare una qualsiasi combinazione di:
    • Posizione originale - i valori X, Y e Z di un punto.
    • Vettore originale - i valori I, J, K di un punto.
    • Posizione proiettata - i valori X, Y, e Z di un punto quando proiettato sulla superficie del modello CAD.
    • Posizione proiettata - i valori I, J, e K di un punto quando proiettato sulla superficie del modello CAD.
    • DeviazionI - la differenza tra un punto nella nuvola di punti e quando proiettato sulla superficie del modello CAD.

      Fate click su OK. PowerINSPECT visualizza la finestra di dialogo Salva con Nome.

  5. Specificare la cartella ed il nome del file verso cui volete esportare i dati nella finestra di dialogo Salva con nome e fate click su OK. PowerINSPECT esporta i dati e visualizza un messaggio di conferma quando l'esportazione è completa.


Informazioni Extra sulla scheda Nuvola di Punti

La visualizzazione delle informazioni nell'area Statistiche della scheda Nuvola di Punti è stata estesa per visualizzare il numero di punti entro la tolleranza, così come il numero di punti sopra e sotto i limiti di tolleranza. Per esempio:

La schermata di Anteprima di Stampa della scheda Nuvola di Punti è stata anch'essa estesa per visualizzare:

  • dettagli del numero di punti entro la tolleranza.
  • i valori superiore ed inferiore della tolleranza.

Per esempio:


Integrazione AIMS

PowerINSPECT 4.3 può fornire una integrazione senza cuciture tra PowerINSPECT e AIMS (Sistema Matematico Avanzato Integrato). Per esempio:

  1. Importare un file output AIMS (.tdf) in un file PowerINSPECT .pwi.

    Durante l'importazione, PowerINSPECT legge le informazioni dal file di output AIMS ed usa queste informazioni per riempire la vista CAD e la sequenza di ispezione - per esempio:

    • Una funzionalità visualizzatore di TDF inoltre vi permette di visualizzare le informazioni contenute nel file .tdf da PowerINSPECT prima dell'importazione.
  2. Misurare gli elementi nella sequenza di ispezione, come fareste normalmente usando PowerINSPECT. Quando salvate il file (.pwi) di PowerINSPECT, PowerINSPECT automaticamente salva i risultati della misurazione in un file output AIMS che avete importato al Passo 1.
  • Le funzionalità di integrazione AIMS risultano disponibili soltanto se acquistate le licenze richieste. Contattate il vostro agente di vendita per maggiori dettagli.


Nuovo pulsante Punto Guidato sulla Superficie

Il pulsante Punto Superficie Guidata in alto nella barra degli strumenti Elemento di Ispezione Superficie è stato modificato da [image] a Linked PowerINSPECT Graphics Directory Template per evitare ogni possibile confusione con il pulsante Selettore di Superficie [image] nella barra degli strumenti Contesto Mouse.

La barra degli strumenti Elemento di Ispezione Superficie ora appare come segue:

Linked PowerINSPECT Graphics Directory Template


Funzioni in Anteprima

Le funzioni in Anteprima hanno lo scopo di fornire nuove funzioni quando sono ancora nelle prime fasi di sviluppo, in modo che possiate testarne la qualità. Spesso queste funzioni sono nuove e migliorate su richiesta degli utenti.

La funzionalità seguente è disponibile in anteprima in PowerINSPECT 4.3:

  • Possibilità di personalizzare i template di rapporto HTML usando un editor template.

Le Funzioni di anteprima sono posizionate nel programma per vostra sperimentazione. Hanno una minima interfaccia d'utente e potrebbero essere incomplete o scomode da utilizzare.

Le funzioni in Anteprima sono studiate per consentirvi di vedere le nostre direttive di sviluppi e apprezziamo tutti i commenti costruttivi su come migliorare le funzioni e sull'interfaccia utente. Vi invitiamo a fornire un feedback al vostro Agente di Vendita di PowerINSPECT.

Le funzioni in Anteprima sono in continuo sviluppo: il loro comportamento potrebbe essere cambiato dalla stampa di questo documento.


Come personalizzare i template di rapporto HTML

Un template di rapporto HTML controlla quali informazioni sono incluse in ciascuno dei rapporti basati su quel template e come le informazioni sono presentate. Benchè i template di rapporto HTML standard siano forniti con PowerINSPECT, alcune aziende spesso trovano necessario personalizzare i template standard - ad esempio per:

  • Aggiungere o sostituire immagini, come ad esempio il logo dell'azienda.
  • Cambiare alcune delle informazioni incluse nel rapporto.
  • Cambiare alcuni degli stili o formattazioni nel rapporto, come ad esempio caratteri e colori, per riflettere gli standard dell'azienda.

PowerINSPECT 4.3 comprende un programma Editor separato per i Template di Rapporto HTML che vi consente di effettuare tutti questi e altre modifiche ai template di rapporto HTML standard.

L'Editor per i Template di Rapporto HTML è un programma separato installato durante l'installazione di PowerINSPECT. Il programma è disponibile dal sotto-menù di PowerINSPECT nel menù di Start di Windows.

  • L'Editor per i Template di Rapporto HTML richiede che il pacchetto Microsoft .NET Framework v1.1 sia installato sulla vostra macchina. Questo pacchetto può essere scaricato dal sito della Microsoft. Nelle opzioni di PowerINSPECT disponibili dal menù di Windows Start è incluso un link alla pagina del sito web di Microsoft relativa.

Una volta avviato l'Editor per i Template di Rapporto HTML, potrete ottenere maggiori informazioni sull'uso del programma selezionando il menù opzioni Help - Contenuti per visualizzare un aiuto on-line.


Guida Cosa c'è di nuovo

PowerINSPECT 4.3

di Delcam plc

Rilasciato il 09/03/2007